@font-face {
	font-family: "vintage";
	src: local(""), url("Mambality.ttf");
}
*:after,
*:before {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}
:root {
	--lightBg: rgb(243, 243, 243);
	--lightTxt: rgb(243, 243, 243);
	--darkTxt: rgb(20, 20, 20);
	--darkBg: rgb(20, 20, 20);
	--gold: rgb(201, 157, 61);
	--shadow: 0px 4px 15px -2px #0000002f;
}
html * {
	box-sizing: border-box;
	scroll-behavior: smooth;
}
body {
	margin: 0;
	padding: 0;
	background-color: rgb(243, 243, 243);
	font-family: "Poppins", sans-serif;
	font-family: "Instrument Sans", sans-serif;
}

a {
	text-decoration: none;
	font-weight: bold;
	color: var(--gold);
	cursor: pointer;
}

a:visited {
	color: var(--gold);
}

.hr {
	border: 0;
	margin: 1em 0em;
	height: 1px;
	width: 100%;
	background-image: linear-gradient(to right, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0));
}
input,
textarea {
	padding: 0;
	margin: 0;
	box-shadow: 0 0 10px 2px rgba(0, 0, 0, 0.1);
	font-family: "Poppins", sans-serif;
	border: 0;
}

input:focus,
textarea:focus {
	outline: 1px solid var(--gold);
}

button {
	background-color: var(--darkBg);
	/* background-color: transparent; */
	color: var(--gold);
	padding: 1em 2em;
	text-align: center;
	position: relative;
	overflow: hidden;
	font-weight: bold;
	cursor: pointer;
	transition: all 0.25s linear;
}

button:hover {
	background-color: var(--gold);
	color: var(--darkBg);
}

.logo-container {
	font-size: 1.5em;
	display: flex;
	flex-direction: column;
	align-items: center;
	margin-bottom: 1em;
}
.logo-container a {
	text-decoration: none;
}

.logo {
	height: 2.5em;
}

.menu-button {
	position: fixed;
	display: flex;
	justify-content: center;
	top: 3em;
	left: 0px;
	font-size: 1em;
	color: black;
	z-index: 100;
	cursor: pointer;
	padding: 1em;
	background-color: rgba(245, 245, 245, 0.808);
	border-radius: 1000px;
	box-shadow: var(--shadow);
	margin: 0.5em;
}

.menu-button img {
	height: 0.7em;
}

.nav-container {
	position: fixed;
	top: 0px;
	left: 0px;
	background-color: var(--darkBg);
	width: 100vw;
	height: 100vh;
	color: var(--lightTxt);
	padding: 0.5rem;
	box-sizing: border-box;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	font-size: 2em;
	z-index: 0;
	filter: grayscale(100%);
	transition: all 0.3s ease-in;
	box-shadow: var(--shadow);
}

.nav-container:hover {
	filter: grayscale(0%);
}

.nav {
	display: flex;
	flex-direction: column;
}

.nav a {
	text-decoration: none;
	color: var(--gold);

	transition: all 0.1s ease-in;
	text-align: center;
}

.nav a:hover {
	color: rgba(255, 217, 0, 0.425);
}

.menu-expanded {
	opacity: 1;
	scale: 1;
	z-index: 99;
}

.menu-closed {
	opacity: 0;
	scale: 0;
}

.content-container {
	max-width: 100vw;
	overflow: hidden;
}

.products-filter-container{
	display: flex;
	flex-direction: row;
	margin-bottom: 10px;
	gap: 20px;
	
}

.product-filter-element{
	padding:10px;
	cursor: pointer;
	transition: all .35s ease-in-out;
	border-radius: 5px;
	font-weight: bold;
	opacity: .6;
	border-bottom: 4px solid transparent;
	border-top:4px solid transparent;
}
.selected-filter{
	opacity: 1;
	background-image: linear-gradient(white,white);
	border-bottom: 4px solid #4e4e4e1e;
	border-top: 4px solid #4e4e4e1e;
}


.product-cards-container {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr 1fr;
	width: 95vw;
	justify-content: center;
	align-items: center;
	gap: 10px;
}

.product-card-container {
	display: flex;
	justify-content: flex-start;
	align-items: center;
	flex-direction: column;
	height: 100%;
	font-family: "Poppins", sans-serif;
	padding: 10px;
	box-sizing: border-box;
	align-self: self-start;
	border-radius: 10px;
}
.product-details-container {
	display: flex;
	justify-content: space-evenly;
	align-items: center;
	
	flex-direction: column;
	padding: 5px;
	
	height: 100%;
}
.product-img {
	width: 18vw;
	height: 18vw;
	text-align: center;
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
	position: relative;
	cursor: pointer;
	overflow: hidden;
	border-radius: 10px;
}
.product-title {
	text-align: center;
	font-weight: bold;
}
.product-desc {
	text-align: center;
	padding: 10px;
	font-size: 0.75em;
}
.product-price {
	text-align: center;
	font-weight: bold;
}
.product-category-display {
	position: absolute;
	top: 8px;
	left: 8px;
	color: whitesmoke;
	font-size: 0.7em;
	border-radius: 100vh;
	background-color: var(--gold);
	display: inline;
	padding: 5px;
}
.product-hover-button {
	position: absolute;
	bottom: -70px;
	text-align: center;
	width: 100%;
	font-size: 1.25em;
	background-color: var(--gold);
	color: var(--lightTxt);
	padding: 10px;
	transition: all 0.15s ease-in-out;
	opacity: 0;
	box-sizing: border-box;
}

.product-img:hover .product-hover-button {
	bottom: 0px;
	opacity: 0.85;
	font-weight: bold;
}
.product-secondary-img{
	width:1%;
	height: 100%;
	opacity: 0;
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
	transition: all 0.35s ease-in-out;
}
.img-hidden{
 opacity: 0;
 width:1%
}
.img-show{
	opacity: 1;
	width: 100%;
}

.product-etsy-link {
	display: block;
}

.section {
	min-height: 100vh;
	width: 100vw;
	box-sizing: border-box;
	/* padding-top: 7em; to offset the nav bar */
	background-color: white;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	/* padding: 1em; */
	transition: all 0.1s ease-out;
}

.section img {
	max-height: 50vh;
	float: left;
	padding: 10px;
}

.section-title {
	display: flex;
	justify-content: center;
	font-size: 2em;
	margin-bottom: 1em;
	background-color: var(--darkBg);
	/* background-image: url("img/wood.jpg"); */
	background: linear-gradient(to bottom, var(--darkBg), var(--darkBg)), url("img/wood.jpg");
	color: var(--lightTxt);
	width: 100%;
	box-shadow: var(--shadow);
}

.split {
	display: grid;
	grid-template-columns: 1fr 1fr;
	width: 100vw;
	max-height: 100vh;
}
.split :nth-child(odd) {
	display: flex;
	max-height: 100vh;
	justify-content: center;
	align-items: center;
}
.split :nth-child(even) {
	display: flex;
	max-height: 100vh;
	justify-content: center;
	align-items: center;
}

.socials {
	display: flex;
	justify-content: center;
	flex-wrap: wrap;
	gap: 1em;
}

.socials img {
	box-shadow: var(--shadow);
	border-radius: 2em;
	overflow: hidden;
	min-height: 12em;
	max-height: 12em;
}

.portfolio-carousel-container {
	box-shadow: var(--shadow);
	border-radius: 0.5em;
	display: flex;
	flex-direction: column;
	align-items: center;
	font-weight: bold;
	color: var(--darkTxt);
}

#landing {
	/* background-image: url("img/gray-wood.jpeg");  */
	background-repeat: no-repeat;
	/* background-size: cover, contain, cover; */
	/* background-image: url("img/Flags/3.jpg"); */
	background-size: cover;
	background-position: center;
	background-attachment: fixed;
	/* background: linear-gradient(to top, #222222da, #ddddddcc), url("img/Flags/3.jpg"); */
	background: linear-gradient(to bottom, #ddddddcc, white), url("img/gray-wood.jpeg");

	filter: blur(100%);

	display: flex;
	flex-direction: column;
	/* justify-content: flex-start; */
	justify-content: center;

	align-items: center;

	color: var(--lightTxt);
	text-shadow: 2px 2px var(--darkTxt);
	transition: all 0.5s ease-in;
	font-size: 2em;
	/* font-weight: bold; */
	font-weight: 400;

	padding-top: 0;
	/* font-family: "Diplomata SC", cursive; */
	/* font-family: "vintage"; */
	font-family: "Nunito";
	font-family: "Poppins", sans-serif;
	text-shadow: 2px 2px black;
	transition: height 999999s ease-in;
	/* justify-content: center;
    align-items: flex-start; */
}

#slogan {
	/* background-color: rgba(0, 0, 0, 0.336); */
	color: var(--darkTxt);
	text-shadow: none;
	font-size: 0.75em;
	padding: 10px;
	text-align: center;
	/* width:50%; */
}

#intro {
	display: flex;
	flex-direction: column;
	max-height: 100vh;
	justify-content: center;
	align-items: center;
}

#intro span {
	width: 100%;
	/* padding: 1em; */
	text-align: center;
	position: relative;
	/* font-size: 3em; */
	color: var(--gold);
	/* font-family: 'Caveat', cursive; */
	transition: all 0.5s ease-in;
}

#swizzcraft {
	opacity: 0.9;
	max-height: 50vh;
	max-width: 50vw;
	/* margin-top: 100px; */
	/* background-color: rgba(0, 0, 0, 0.425); */
	/* padding:.25em; */
	/* background-position: center;
	border-radius: 10000px;
	background: linear-gradient(to top, #2c2b2cda, #f7f4facc);  */
}

.featured-carousel {
	width: 80vw;
	height: 100vh;
	transition: all 0.5s ease-in;
}

.about {
	background-repeat: no-repeat;

	background-size: cover;
	background-position: center;
	background-attachment: fixed;
	background: linear-gradient(to bottom, #ddddddcc, white), url("img/gray-wood.jpeg");
}
.about-right {
	background: linear-gradient(to bottom, var(--darkBg), black);
	color: var(--lightTxt);
	padding: 2em;
}

#about-image {
	max-height: 50vh;
}

#social {
	min-height: auto;
}

#contact {
	display: flex;
	justify-content: center;
	text-align: center;
}

.form {
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
	align-items: flex-end;
	flex-wrap: wrap;
	width: 800px;
	max-width: 90vw;
	gap: 1em;
}

.form-input {
	width: 100%;
	min-height: 3em;
	display: flex;
	flex-direction: column;
	background-color: #00000004;
}

.half-input {
	width: 100%;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	/* align-items:flex-start; */
	max-width: 100%;
	/* overflow: hidden; */
}

.half-input div {
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: flex-start;
	box-sizing: border-box;
	width: 48%;
	max-width: 48%;
}

.full-input {
	display: flex;
	flex-direction: column;
	width: 100%;
	justify-content: flex-start;
	align-items: flex-start;
}

#form-message {
	height: 8em;
}

.footer {
	box-sizing: border-box;
	padding: 2em;
	color: var(--lightTxt);
	background-color: var(--darkBg);
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.shadow {
	box-shadow: 4px 4px 6px 0px #88888856;
	box-shadow: var(--shadow);
}

@media only screen and (max-width: 600px) {
	button {
		background-color: var(--darkBg);
	}

	.nav-container {
		filter: grayscale(0%);
	}
	/* .nav  {
		color: var(--gold)
	} */
	#landing {
		background-position: 0px 0px, -800px -150px;
	}

	#slogan {
		font-size: 0.5em;
	}

	#swizzcraft {
		max-width: 90vw;
		/* -webkit-transform: rotate(-22.5deg);
		-moz-transform: rotate(-22.5deg);
		-ms-transform: rotate(-22.5deg);
		-o-transform: rotate(-22.5deg);
		transform: rotate(-22.5deg); */
	}

	.about-content {
		flex-direction: column;
		width: auto;
		font-size: 1em;
	}
	.socials img {
		height: 10em;
	}
	.about-content span {
		max-width: 100%;
	}
	.split {
		grid-template-columns: 1fr;
	}
	.product-cards-container {
		grid-template-columns: 1fr 1fr;
	}
	.product-img {
		width: 47vw;
		height: 47vw;
	}
	.product-card-container {
		max-width: 47vw;
	}

	/* input,
	textarea {
		padding: 0;
		margin: 0;
		box-shadow: none;
		font-family: "Poppins", sans-serif;
		border: 0;
	} */
}
